[arch-commits] Commit in which/repos (6 files)
Allan McRae
allan at nymeria.archlinux.org
Sun Jan 27 12:32:32 UTC 2013
Date: Sunday, January 27, 2013 @ 13:32:31
Author: allan
Revision: 176100
archrelease: copy trunk to testing-i686, testing-x86_64
Added:
which/repos/testing-i686/
which/repos/testing-i686/PKGBUILD
(from rev 176099, which/trunk/PKGBUILD)
which/repos/testing-i686/which.install
(from rev 176099, which/trunk/which.install)
which/repos/testing-x86_64/
which/repos/testing-x86_64/PKGBUILD
(from rev 176099, which/trunk/PKGBUILD)
which/repos/testing-x86_64/which.install
(from rev 176099, which/trunk/which.install)
------------------------------+
testing-i686/PKGBUILD | 27 +++++++++++++++++++++++++++
testing-i686/which.install | 20 ++++++++++++++++++++
testing-x86_64/PKGBUILD | 27 +++++++++++++++++++++++++++
testing-x86_64/which.install | 20 ++++++++++++++++++++
4 files changed, 94 insertions(+)
Copied: which/repos/testing-i686/PKGBUILD (from rev 176099, which/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD (rev 0)
+++ testing-i686/PKGBUILD 2013-01-27 12:32:31 UTC (rev 176100)
@@ -0,0 +1,27 @@
+# $Id$
+# Maintainer: Allan McRae <allan at archlinux.org>
+# Contributor: Andreas Radke <andyrtr at archlinux.org>
+
+pkgname=which
+pkgver=2.20
+pkgrel=6
+pkgdesc="A utility to show the full path of commands"
+arch=('i686' 'x86_64')
+url="http://www.xs4all.nl/~carlo17/which"
+license=('GPL3')
+groups=('base' 'base-devel')
+depends=('glibc' 'sh')
+install=which.install
+source=(http://www.xs4all.nl/~carlo17/$pkgname/$pkgname-$pkgver.tar.gz)
+md5sums=('95be0501a466e515422cde4af46b2744')
+
+build() {
+ cd $srcdir/$pkgname-$pkgver
+ ./configure --prefix=/usr
+ make
+}
+
+package() {
+ cd $srcdir/$pkgname-$pkgver
+ make DESTDIR=$pkgdir install
+}
Copied: which/repos/testing-i686/which.install (from rev 176099, which/trunk/which.install)
===================================================================
--- testing-i686/which.install (rev 0)
+++ testing-i686/which.install 2013-01-27 12:32:31 UTC (rev 176100)
@@ -0,0 +1,20 @@
+infodir=/usr/share/info
+filelist=(which.info)
+
+post_install() {
+ [ -x usr/bin/install-info ] || return 0
+ for file in ${filelist[@]}; do
+ install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+ done
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ [ -x usr/bin/install-info ] || return 0
+ for file in ${filelist[@]}; do
+ install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+ done
+}
Copied: which/repos/testing-x86_64/PKGBUILD (from rev 176099, which/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD (rev 0)
+++ testing-x86_64/PKGBUILD 2013-01-27 12:32:31 UTC (rev 176100)
@@ -0,0 +1,27 @@
+# $Id$
+# Maintainer: Allan McRae <allan at archlinux.org>
+# Contributor: Andreas Radke <andyrtr at archlinux.org>
+
+pkgname=which
+pkgver=2.20
+pkgrel=6
+pkgdesc="A utility to show the full path of commands"
+arch=('i686' 'x86_64')
+url="http://www.xs4all.nl/~carlo17/which"
+license=('GPL3')
+groups=('base' 'base-devel')
+depends=('glibc' 'sh')
+install=which.install
+source=(http://www.xs4all.nl/~carlo17/$pkgname/$pkgname-$pkgver.tar.gz)
+md5sums=('95be0501a466e515422cde4af46b2744')
+
+build() {
+ cd $srcdir/$pkgname-$pkgver
+ ./configure --prefix=/usr
+ make
+}
+
+package() {
+ cd $srcdir/$pkgname-$pkgver
+ make DESTDIR=$pkgdir install
+}
Copied: which/repos/testing-x86_64/which.install (from rev 176099, which/trunk/which.install)
===================================================================
--- testing-x86_64/which.install (rev 0)
+++ testing-x86_64/which.install 2013-01-27 12:32:31 UTC (rev 176100)
@@ -0,0 +1,20 @@
+infodir=/usr/share/info
+filelist=(which.info)
+
+post_install() {
+ [ -x usr/bin/install-info ] || return 0
+ for file in ${filelist[@]}; do
+ install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+ done
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ [ -x usr/bin/install-info ] || return 0
+ for file in ${filelist[@]}; do
+ install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+ done
+}
More information about the arch-commits
mailing list